Productsup
CDE APIApi referenceManagement

Show all connector metadata.

Sign in to run requests against the CDE API.
GET
/metadata/connectors

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/metadata/connectors"
{
  "message": "Successfully found all connector metadata.",
  "resource": "connector-metadata",
  "data": [
    {
      "uuid": "019e16f3-8dd1-78bf-8981-5937a365a3ff",
      "channel-owner": "Third Party",
      "confidence": "Semi Confident",
      "help-center": "http://help.center",
      "internal-documentation": "http://docs.internal",
      "notes": "some notes",
      "last-reviewed-at": null,
      "last-updated-by": "7612edf3-72f3-4092-ae2f-a3ca4cb52cd6",
      "created-at": "2026-05-11T14:12:00+02:00",
      "updated-at": "2026-05-11T14:12:00+02:00",
      "connector": {
        "id": "019e16f3-8dd1-78df-8981-5937a3680523",
        "name": "2a5046db-0a8e-46a6-aff3-6281b19029f1",
        "type": "datasource"
      }
    },
    {
      "uuid": "019e16f3-8dd8-775a-bf44-cfccc7a6fc5e",
      "channel-owner": "Feature Team",
      "confidence": "Good to Go",
      "help-center": "http://help.example.com",
      "internal-documentation": "http://docs.example.com",
      "notes": "Production ready",
      "last-reviewed-at": null,
      "last-updated-by": "9faac0e2-139a-4b8b-99fa-f0161ae09365",
      "created-at": "2026-05-11T14:12:00+02:00",
      "updated-at": "2026-05-11T14:12:00+02:00",
      "connector": {
        "id": "019e16f3-8dd8-778e-bf44-cfccc8593359",
        "name": "0b81c9ba-1cfb-46e3-acaa-cfe8fc8af47a",
        "type": "datasource"
      }
    },
    {
      "uuid": "019e16f3-8ddc-7cfd-95fc-334202839438",
      "channel-owner": "API Team",
      "confidence": "Needs Checking",
      "help-center": "http://sos.example.com",
      "internal-documentation": "http://wiki.internal",
      "notes": null,
      "last-reviewed-at": null,
      "last-updated-by": "4531febc-235d-4fd3-8628-3f33c342f436",
      "created-at": "2026-05-11T14:12:00+02:00",
      "updated-at": "2026-05-11T14:12:00+02:00",
      "connector": {
        "id": "019e16f3-8ddc-7d31-95fc-33420296da90",
        "name": "317c943e-2cec-47b3-a0b8-26e803e6cfb7",
        "type": "datasource"
      }
    }
  ]
}
{
  "message": "You have to be authorized to access this resource."
}

How is this guide?